Bug 1111275 - Switch /usr/bin/2to3 from python2 to python3
Summary: Switch /usr/bin/2to3 from python2 to python3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1076401
TreeView+ depends on / blocked
 
Reported: 2014-06-19 15:29 UTC by Toshio Kuratomi
Modified: 2017-08-31 15:20 UTC (History)
7 users (show)

Fixed In Version: python2-2.7.13-17.fc27, python3-3.6.2-8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-16 13:43:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Toshio Kuratomi 2014-06-19 15:29:50 UTC
Description of problem:

2to3 is provided by upstream python to aid in porting code from python2 to python3.  It finds common code patterns that have changed and updates them to the new pattern.  This tool is shipped with the upstream python tarball and so it is only updated when the python interpreter and stdlib has a new release.

Now that python2 is entering maintainance mode, python3 will see more frequent updates than python2.  This will allow mean that the 2to3 in python3 will quickly get ahead of the python2 version.  We should therefore switch /usr/bin/2to3 from being the python2 provided version to being the python3 provided version.  A version of 2to3 under a different name should remain for people who still want to use the python2 version on their systems (for debugging or to eliminate deps on certain systems).

Comment 2 Jaroslav Reznik 2015-03-03 16:02:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora Admin XMLRPC Client 2015-05-12 12:02:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2016-01-29 13:08:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2016-07-19 11:49:23 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Petr Viktorin 2016-07-29 10:17:37 UTC
Still valid.

Comment 7 Miro Hrončok 2017-08-16 13:43:42 UTC
Removed from python2-tools and added to python3-tools. Proper conflicts added.

+# https://bugzilla.redhat.com/show_bug.cgi?id=1111275
+# /usr/bin/2to3 was moved from here
+# TODO Remove in Fedora 29
+Conflicts: python2-tools < 2.7.13-17
+Conflicts: python-tools < 2.7.13-17

-mv ${RPM_BUILD_ROOT}%{_bindir}/2to3 ${RPM_BUILD_ROOT}%{_bindir}/python3-2to3

-%{_bindir}/python3-2to3
+%{_bindir}/2to3
+# TODO: Remove 2to3-3.7 once rebased to 3.7
 %{_bindir}/2to3-%{pybasever}

2to3-X.Y shoudl also be removed from python26 and python3{3..6}.

As per the original request:

> A version of 2to3 under a different name should remain for people who still want to use the python2 version on their systems (for debugging or to eliminate deps on certain systems).

    $ python2 -m lib2to3

can be used instead.

Comment 8 Miro Hrončok 2017-08-31 11:52:25 UTC
Requested a guideline change, because 2to3 is explicitly mentioned there and what I did goes against that guideline (however weird that guideline is).

https://pagure.io/packaging-committee/issue/711

Comment 9 Miro Hrončok 2017-08-31 15:20:14 UTC
(In reply to Miro Hrončok from comment #8)
> Requested a guideline change, because 2to3 is explicitly mentioned there and
> what I did goes against that guideline (however weird that guideline is).
> 
> https://pagure.io/packaging-committee/issue/711

Fixed.


Note You need to log in before you can comment on or make changes to this bug.